module Mcalendar
  module JA
    # Japanese holidays in Japanese
    HOLIDAY = {
      "20200101": "元日",
      "20200113": "成人の日",
      "20200211": "建国記念の日",
      "20200223": "天皇誕生日",
      "20200224": "振替休日",
      "20200320": "春分の日",
      "20200429": "昭和の日",
      "20200503": "憲法記念日",
      "20200504": "みどりの日",
      "20200505": "子供の日",
      "20200506": "振替休日",
      "20200723": "海の日",
      "20200724": "スポーツの日",
      "20200810": "山の日",
      "20200921": "敬老の日",
      "20200922": "秋分の日",
      "20201103": "文化の日",
      "20201123": "勤労感謝の日",
    }.freeze

    ANNIVERSARY = {
      "20200224": "Rubyの誕生日",
      "20200903": "RubyKaigi 2020 Nagano",
      "20200904": "RubyKaigi 2020 Nagano",
      "20200905": "RubyKaigi 2020 Nagano",
    }.freeze
  end

  module EN
    # Japanese holidays in English
    HOLIDAY = {
      "20200101": "New Year's Day",
      "20200113": "Coming-of-age Day",
      "20200211": "National Foundation Day",
      "20200223": "Emperor's Birthday",
      "20200224": "Substitute Holiday",
      "20200320": "Vernal Equinox Day",
      "20200429": "Showa Day",
      "20200503": "Constitution Memorial Day",
      "20200504": "Greenery Day",
      "20200505": "Children's Day",
      "20200506": "Substitute Holiday",
      "20200723": "Marine Day",
      "20200724": "Sports Day",
      "20200810": "Mountain Day",
      "20200921": "Respect for the Aged Day",
      "20200922": "Autumnal Equinox Day",
      "20201103": "Culture Day",
      "20201123": "Labour Thanksgiving Day",
    }.freeze

    ANNIVERSARY = {
      "20200224": "Ruby's Birthday",
      "20200903": "RubyKaigi 2020 Nagano",
      "20200904": "RubyKaigi 2020 Nagano",
      "20200905": "RubyKaigi 2020 Nagano",
    }.freeze
  end
end
